import * as model from '../api/cars-calculator-events.model';
export declare class EventTrackingService {
  trackAppLoadedAsync(): Promise<void>;
  trackInputChangedAsync(event: model.InputChanged): Promise<void>;
  trackStepProgressedAsync(event: model.StepProgressed): Promise<void>;
  trackModalViewedAsync(event: model.ModalViewed): Promise<void>;
  trackModalClosedAsync(event: model.ModalClosed): Promise<void>;
  trackFormSubmittedAsync(event: model.FormSubmitted): Promise<void>;
  trackPrivacyPolicyViewedAsync(): Promise<void>;
  private trackEventAsync;
}
declare const _default: EventTrackingService;
export default _default;
